name: grafana deployment
services:
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - grafana
    traits:
      meshmap:
        edges: []
        id: f2337889-0ddd-4a2f-b3f2-0bdddc957364
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            background-opacity: 0.1
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 3
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 496135da-50f3-4f1b-a88a-2c95be405ae3
        position:
          posX: 50
          posY: 50
        whiteboardData: {}
  grafana:
    name: grafana
    type: Deployment
    apiVersion: apps/v1
    namespace: monitoring
    model: kubernetes
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            app: grafana
        template:
          metadata:
            labels:
              app: grafana
            name: grafana
          spec:
            containers:
            - image: grafana/grafana:latest
              name: grafana
              ports:
              - container Port: 3000
                name: grafana
              resources:
                limits:
                  cpu: 1000m
                  memory: 1Gi
                requests:
                  cpu: 500m
                  memory: 500M
              volume Mounts:
              - mount Path: /var/lib/grafana
                name: grafana-storage
              - mount Path: /etc/grafana/provisioning/datasources
                name: grafana-datasources
                read Only: false
            volumes:
            - empty Dir: {}
              name: grafana-storage
            - config Map:
                default Mode: 420
                name: grafana-datasources
              name: grafana-datasources
    traits:
      meshmap:
        edges: []
        id: 496135da-50f3-4f1b-a88a-2c95be405ae3
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          shapePolygonPoints: ""
          styleOverrides: '{"border-width":2,"background-opacity":0.5}'
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: 50
          posY: 50
        whiteboardData:
          style: {}
